COSH(3)

NAME
cosh, coshf, coshl - hyperbolic cosine function

SYNOPSIS
#include <math.h>

double cosh(double x);
float coshf(float x);
long double coshl(long double x);

Link with -lm.

DESCRIPTION
The cosh() function returns the hyperbolic cosine of x, which is defined mathematically as:
    cosh(x) = (exp(x) + exp(-x)) / 2

CONFORMING TO
SVr4, POSIX, 4.3BSD, C99. The float and the long double variants are C99 requirements.

SEE ALSO
acosh(3), asinh(3), atanh(3), ccos(3), sinh(3), tanh(3)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.